POST/transactions

Create Transaction

Outcome - Creates a new outgoing transaction from a client wallet.

Body Parameters

amountstringrequireddecimal

Transaction amount

walletIdnumberpositive

Source wallet ID (required if clientId and assetId are not provided)

clientIdstring

External client ID (provided only if walletId is not provided)

assetIdnumberpositive

Asset ID (provided only if walletId is not provided or receiverAddress is not provided)

receiverAddressstringalphanumeric

Destination wallet address

receiverClientIdstringalphanumeric

Destination external client ID

toMasterWalletbooleanboolean

Flag to indicate if the transaction should be sent to the master wallet

Responses

Response attributes

messagestring

Success message

transactionobject

Created transaction details

Show child attributes (17)
dollarAmountstring

Transaction amount in USD

feesDollarAmountstring

Transaction fees in USD

walletIdnumber

Source wallet ID

senderAddressstring

Sender wallet address

receiverAddressstring

Destination address

gasStationCategoryWalletIdnumber

Gas station category wallet ID

parentIdnumbernullable

Parent transaction ID

assetobject

Asset details

Show child attributes (11)
idnumber

Asset ID

namestring

Asset name

symbolstring

Asset symbol

contractAddressstring

Token contract address

decimalsnumber

Asset decimals

networkobject

Network details

Show child attributes (11)
idnumber

Network ID

namestring

Network name

symbolstring

Network symbol

createdAtstring

Network creation timestamp

updatedAtstring

Network last updated timestamp

typestring

Network type

statusstring

Network status

logostring

Network logo URL

isSwappableboolean

Whether the network supports swapping

categorystring

Network category

chainobject

Chain details

Show child attributes (5)
idnumber

Chain ID

namestring

Chain name

nativeCurrencyobject

Native currency details

Show child attributes (3)
namestring

Currency name

symbolstring

Currency symbol

decimalsnumber

Currency decimals

rpcUrlsobject

RPC URLs

Show child attributes (1)
defaultobject

Default RPC configuration

Show child attributes (2)
httparray

HTTP RPC URLs

webSocketarray

WebSocket RPC URLs

blockExplorersobject

Block explorer details

Show child attributes (1)
defaultobject

Default block explorer

Show child attributes (3)
namestring

Explorer name

urlstring

Explorer URL

apiUrlstring

Explorer API URL

createdAtstring

Asset creation timestamp

updatedAtstring

Asset last updated timestamp

typestring

Asset type (COIN or TOKEN)

statusstring

Asset status

logostring

Asset logo URL

createdAtstring

Transaction creation timestamp

updatedAtstring

Transaction last updated timestamp

markupstring

Transaction markup

typestring

Transaction type

statusstring

Transaction status

coinSymbolstring

Coin symbol

paymentPolicyTypestring

Payment policy type

amountstring

Transaction amount

feesstring

Transaction fees

statusnumber

HTTP status code

Was this page helpful?